Page MenuHomePhabricator

Wikimedia Commons when chosen Nepali language displays Hindi Page
Closed, InvalidPublic

Description

Browsers : Chrome and Firefox , OS: Mac OSX Yosemite

Steps to reproduce the issue :

Actual Result :

Expected result :

Please see the screenshot attached :

Event Timeline

sarojdhakal assigned this task to Glaisher.
sarojdhakal raised the priority of this task from to High.
sarojdhakal updated the task description. (Show Details)
sarojdhakal added a project: Commons.
sarojdhakal added subscribers: sarojdhakal, biplabanand.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 10:15 AM
Steinsplitter removed Glaisher as the assignee of this task.Mar 16 2015, 11:00 AM
Steinsplitter lowered the priority of this task from High to Normal.
Steinsplitter set Security to None.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.

Select your preferred language as Nepali (ne_NP or नेपाली)

Using the top bar to change the language, I end up on https://commons.wikimedia.org/wiki/Main_Page?setlang=ne

​when I remove the latter part i.e: https://commons.wikimedia.org/wiki/ it takes me to https://commons.wikimedia.org/wiki/मुख्य_पृष्ठ​ which is in Hindi but in the preference my language is Nepali

Cannot reproduce, but let me explain how I tried to reproduce so we don't have misunderstandings (plus my Nepali and Hindi are a bit rusty):

After changing the language and removing that part of the URL address as you did, I end up on https://commons.wikimedia.org/wiki/%E0%A4%AE%E0%A5%81%E0%A4%96%E0%A5%8D%E0%A4%AF_%E0%A4%AA%E0%A5%83%E0%A4%B7%E0%A5%8D%E0%A4%A0

Its current banner says

विकिमीडिया कॉमन्स पर आपका स्वागत है

and that's also what I get when going to https://commons.wikimedia.org/wiki/?setlang=ne

When I go to https://commons.wikimedia.org/wiki/?setlang=hi I get this banner instead:

विकिमीडिया कॉमन्स मध्ये आपले स्वागत आहे

So it looks like it works for me. Firefox 36 on Fedora 21 here. Wondering if any browsers or browser plugins/addons could be involved here, but feels unlikely...

Aklapper raised the priority of this task from Normal to Needs Triage.Mar 17 2015, 11:39 AM

You got it it's Hindi ! That's the issue

Seems like when used params setlang=ne and went to the wiki it took you to
Hindi page and

When you used params setlang=hi then it's taking you to Marathi page .

It's taking to different Pages for different params but not the correct
ones !

https://commons.wikimedia.org/wiki/MediaWiki:MainPages.js Looks like an on wiki script does those redirecting. Please post an edit request on the talk page to fix those redirects.

Hi Glaisher,

Checked the js file :

'hi': 'मुख्य पृष्ठ',

'ne': 'गृह पृष्ठ',

'mr': 'मुखपृष्ठ',

Are correct targets but it does not work as intended .

Thanks,
Saroj

Thanks,

Steinsplitter added a subscriber: Steinsplitter.EditedMar 20 2015, 12:40 PM

https://commons.wikimedia.org/wiki/MediaWiki:MainPages.js Looks like an on wiki script does those redirecting. Please post an edit request on the talk page to fix those redirects.

Looks like https://commons.wikimedia.org/wiki/MediaWiki:Mainpage-description/hi is the problem. Wrong import from translatewiki.

MediaWiki:Mainpage should be updated. -description is the text which appears on the sidebar.

MediaWiki:Mainpage should be updated. -description is the text which appears on the sidebar.

That too. Done. Thanks :-)

@Steinsplitter , I'm still not able to verify the fix . Screenshot :

@sarojdhakal The changes will come through to Commons with the next localization update (which happens once per day).

Yann added a subscriber: Yann.Mar 21 2015, 10:54 AM

@Steinsplitter
​ it is taking me to ​
'गृह
​​
पृष्ठ
​ instead of
गृह
​​
पृष्ठ

​ (i.e.
https://commons.wikimedia.org/wiki/%27गृह_पृष्
​ ) do you see %27 ?​

​ I tried change the messages

https://translatewiki.net/w/i.php?title=MediaWiki:Mainpage-description/ne&diff=prev&oldid=6073597
https://translatewiki.net/w/i.php?title=MediaWiki:Mainpage-description/hi&diff=prev&oldid=6073596

​seems like I do not have write access .​

​Thanks,
​Saroj​

@Steinsplitter
​ it is taking me to ​
'गृह
​​
पृष्ठ
​ instead of
गृह
​​
पृष्ठ

​ (i.e.
https://commons.wikimedia.org/wiki/%27गृह_पृष्
​ ) do you see %27 ?​

​ I tried change the messages
https://translatewiki.net/w/i.php?title=MediaWiki:Mainpage-description/ne&diff=prev&oldid=6073597
https://translatewiki.net/w/i.php?title=MediaWiki:Mainpage-description/hi&diff=prev&oldid=6073596
​seems like I do not have write access .​
​Thanks,
​Saroj​

Pleas see the messages above. It was told you multiple times. Please WAIT a few days. It takes a while.

Thanks a lot for your help and pointing to the right string :

I corrected the string myself and removed ( ' ) character from the
beginning for the change please see :
https://translatewiki.net/w/i.php?title=MediaWiki%3AMainpage-description%2Fne&diff=6077395&oldid=6073597

Thanks for fixing T93557 for mr.

While I do not represent ne wiki; I happened to cross check ne wiktionary and ne wikibooks those are also getting redirected to blank pages. For ne wikibooks and ne wiktionary earlier mainpage name was मुख्य_पृष्ठ Pl see https://translatewiki.net/w/i.php?title=MediaWiki%3AMainpage-description%2Fne&diff=6077395&oldid=599871 this edit is taking these two project main page to new blank page as of now.

sarojdhakal changed the task status from Invalid to Resolved.Mar 24 2015, 3:25 AM

Issue is fixed for Commons but it impacted Wikibooks and Wiktionary . I've fixed Wiktionary and Wikibooks issue with the redirect and I do not have sysop access to change main page variable or protect the redirect .

Thanks a lot for the help .

Aklapper changed the task status from Resolved to Invalid.Mar 24 2015, 10:01 AM

Glad it works for you now! :)

(Fix required on-wiki or translation changes => Setting invalid status in Phabricator.)